JBoss API: Class TxEntityMap

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class TxEntityMap

    java.lang.Object
      |
      +--org.jboss.ejb.TxEntityMap

public class TxEntityMap
extends java.lang.Object

This class provides a way to find out what entities of a certain type that are contained in within a transaction. It is attached to a specific instance of a container. This class interfaces with the static GlobalTxEntityMap. EntitySynchronizationInterceptor registers tx/entity pairs through this class. Used in EntitySynchronizationInterceptor.

Version:
  $Revision: 1.1.2.1 $ Revisions:

  Revisions:

  2001/08/06: billb

  1. Got rid of disassociate and added a javax.transaction.Synchronization. The sync will clean up the map now.
  2. This class now interacts with GlobalTxEntityMap available.
Author:
  Bill Burke

Field Summary
`protected java.util.HashMap` | `m_map`

Constructor Summary
`TxEntityMap()`

Method Summary
`void` | `associate(javax.transaction.Transaction tx, EntityEnterpriseContext entity)` associate entity with transaction
`EntityEnterpriseContext` | `getCtx(javax.transaction.Transaction tx, CacheKey key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_map

    protected java.util.HashMap m_map

Constructor Detail

### TxEntityMap

    public TxEntityMap()

Method Detail

### associate

    public void associate(javax.transaction.Transaction tx,
                          EntityEnterpriseContext entity)
                   throws javax.transaction.RollbackException,
                          javax.transaction.SystemException

  associate entity with transaction

### getCtx

    public EntityEnterpriseContext getCtx(javax.transaction.Transaction tx,
                                          CacheKey key)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.